Groovy 1.7.0

## org.codehaus.groovy.tools.shell.util
Class ANSI.Buffer

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.ANSI.Buffer

    class ANSI.Buffer

Field Summary
`boolean` | `autoClear`

Constructor Summary
`ANSI.Buffer()`

Method Summary
`Buffer` | `append(String text)`
`Buffer` | `append(Object obj)`
`Buffer` | `attrib(int code)`
`Buffer` | `attrib(String text, int code)`
`Buffer` | `attrib(String text, String codeName)`
`void` | `clear()`
`int` | `size()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### autoClear

    final boolean autoClear

Constructor Detail

### ANSI.Buffer

    ANSI.Buffer()

Method Detail

### append

    public Buffer append(String text)

### append

    public Buffer append(Object obj)

### attrib

    public Buffer attrib(int code)

### attrib

    public Buffer attrib(String text, int code)

### attrib

    public Buffer attrib(String text, String codeName)

### clear

    public void clear()

### size

    public int size()

### toString

    public String toString()

Copyright © 2003-2009 The Codehaus. All rights reserved.